<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddRemoteDestinationReq StructType
 * @subpackage Structs
 */
class AddRemoteDestinationReq extends APIRequest
{
    /**
     * The remoteDestination
     * @var XRemoteDestination
     */
    public $remoteDestination;
    /**
     * Constructor method for AddRemoteDestinationReq
     * @uses AddRemoteDestinationReq::setRemoteDestination()
     * @param XRemoteDestination $remoteDestination
     */
    public function __construct(XRemoteDestination $remoteDestination = null)
    {
        $this
            ->setRemoteDestination($remoteDestination);
    }
    /**
     * Get remoteDestination value
     * @return XRemoteDestination|null
     */
    public function getRemoteDestination()
    {
        return $this->remoteDestination;
    }
    /**
     * Set remoteDestination value
     * @param XRemoteDestination $remoteDestination
     * @return AddRemoteDestinationReq
     */
    public function setRemoteDestination(XRemoteDestination $remoteDestination = null)
    {
        $this->remoteDestination = $remoteDestination;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddRemoteDestinationReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
